<template>
  <div>
    <div class="m-2 text-right">
      <a-button class="mr-2" type="primary" @click="save" plain>保 存</a-button>
      <a-button class="mr-2" type="info" plain>复 制</a-button>
      <a-button type="info" plain>关 闭</a-button>
    </div>
    <BpmTmplEdit ref="bpmTmplEditRef" :prxml="form.prxml" />
  </div>
</template>

<script setup lang="ts">
  import { ref } from 'vue';
  import BpmTmplEdit from '/@/components/Bpmn/tmpl/edit.vue';

  const form = ref({
    avtag: true,
    protd: '',
    prxml: '',
  });

  const bpmTmplEditRef = ref();
  async function save() {
    // form.value.vform = JSON.stringify(vFormRef.value.getFormJson());
    form.value.prxml = await bpmTmplEditRef.value.getXml();
  }
</script>

<style lang="less" scoped></style>
